From 9abffd5d8310b274fb29c5c1366567faa92e30a1 Mon Sep 17 00:00:00 2001
From: Amarnath Hullur Subramanyam <amarnath@codeaurora.org>
Date: Tue, 10 Jul 2018 00:01:42 -0700
Subject: [PATCH 2/2] Legacy HAL updated to use mm. The current HIDL is (still
 at) cm. Add conversions. address some warning related error due to change in
 wifi_nan.h

Change-Id: I3635f3c99e88ced2781d49f8d74f83680b6940df
---
 wifi/1.1/default/hidl_struct_util.cpp | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

diff --git a/wifi/1.1/default/hidl_struct_util.cpp b/wifi/1.1/default/hidl_struct_util.cpp
index c53cdc5..e7cb854 100644
--- a/wifi/1.1/default/hidl_struct_util.cpp
+++ b/wifi/1.1/default/hidl_struct_util.cpp
@@ -1173,8 +1173,8 @@ bool convertHidlNanPublishRequestToLegacy(
   legacy_request->ranging_cfg.ranging_interval_msec = hidl_request.baseConfigs.rangingIntervalMsec;
   legacy_request->ranging_cfg.config_ranging_indications =
         hidl_request.baseConfigs.configRangingIndications;
-  legacy_request->ranging_cfg.distance_ingress_cm = hidl_request.baseConfigs.distanceIngressCm;
-  legacy_request->ranging_cfg.distance_egress_cm = hidl_request.baseConfigs.distanceEgressCm;
+  legacy_request->ranging_cfg.distance_ingress_mm = hidl_request.baseConfigs.distanceIngressCm * 10;
+  legacy_request->ranging_cfg.distance_egress_mm = hidl_request.baseConfigs.distanceEgressCm * 10;
   legacy_request->ranging_auto_response = hidl_request.baseConfigs.rangingRequired ?
         legacy_hal::NAN_RANGING_AUTO_RESPONSE_ENABLE : legacy_hal::NAN_RANGING_AUTO_RESPONSE_DISABLE;
   legacy_request->sdea_params.range_report = legacy_hal::NAN_DISABLE_RANGE_REPORT;
@@ -1289,8 +1289,8 @@ bool convertHidlNanSubscribeRequestToLegacy(
   legacy_request->ranging_cfg.ranging_interval_msec = hidl_request.baseConfigs.rangingIntervalMsec;
   legacy_request->ranging_cfg.config_ranging_indications =
         hidl_request.baseConfigs.configRangingIndications;
-  legacy_request->ranging_cfg.distance_ingress_cm = hidl_request.baseConfigs.distanceIngressCm;
-  legacy_request->ranging_cfg.distance_egress_cm = hidl_request.baseConfigs.distanceEgressCm;
+  legacy_request->ranging_cfg.distance_ingress_mm = hidl_request.baseConfigs.distanceIngressCm * 10;
+  legacy_request->ranging_cfg.distance_egress_mm = hidl_request.baseConfigs.distanceEgressCm * 10;
   legacy_request->ranging_auto_response = hidl_request.baseConfigs.rangingRequired ?
         legacy_hal::NAN_RANGING_AUTO_RESPONSE_ENABLE : legacy_hal::NAN_RANGING_AUTO_RESPONSE_DISABLE;
   legacy_request->sdea_params.range_report = legacy_hal::NAN_DISABLE_RANGE_REPORT;
@@ -1649,7 +1649,7 @@ bool convertLegacyNanMatchIndToHidl(
         legacy_ind.peer_sdea_params.security_cfg == legacy_hal::NAN_DP_CONFIG_SECURITY;
   hidl_ind->peerRequiresRanging =
         legacy_ind.peer_sdea_params.ranging_state == legacy_hal::NAN_RANGING_ENABLE;
-  hidl_ind->rangingMeasurementInCm = legacy_ind.range_info.range_measurement_cm;
+  hidl_ind->rangingMeasurementInCm = legacy_ind.range_info.range_measurement_mm / 10;
   hidl_ind->rangingIndicationType = legacy_ind.range_info.ranging_event_type;
 
   return true;
@@ -1937,6 +1937,10 @@ RttStatus convertLegacyRttStatusToHidl(legacy_hal::wifi_rtt_status status) {
       return RttStatus::NO_WIFI;
     case legacy_hal::RTT_STATUS_FAIL_FTM_PARAM_OVERRIDE:
       return RttStatus::FAIL_FTM_PARAM_OVERRIDE;
+    case legacy_hal::RTT_STATUS_NAN_RANGING_PROTOCOL_FAILURE:
+      return RttStatus::FAILURE;  // TODO: add HIDL enumeration
+	 case legacy_hal::RTT_STATUS_NAN_RANGING_CONCURRENCY_NOT_SUPPORTED:
+      return RttStatus::FAILURE;  // TODO: add HIDL enumeration
   };
   CHECK(false) << "Unknown legacy status: " << status;
 }
-- 
1.9.1

